#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""
general helper methods shared between envoy modules
"""
import random
import string

CARTA_URL_REPLACE_TEXT = "CARTA_URL_GOES_HERE"
CARTA_HTML_FILENAME = "carta_url_page.html"
CARTA_TEMPLATE = f"""
<!DOCTYPE html>
<html>
<head title="CARTA Session in a Frame">
    <h4 style="color:#006400; font-size:24px;">
        Your CARTA Session</h4>
</head>
<body>
<iframe
        title="CARTA"
        style="position: absolute; height: 100%; border: none"
        src="{CARTA_URL_REPLACE_TEXT}" style="overflow:hidden;height:100%;width:100%" height="100%" width="100%">

</iframe>
</body>

</html>
"""


def generate_random_str() -> str:
    """
    Generates a random sequence of letters and digits of length 12

    :return: Random sequence of letters and digits of length 12
    """
    length = 12
    valid_chars = string.ascii_letters + string.digits
    return "".join(random.choices(valid_chars, k=length))
