"""vlass image flagtemplate

Revision ID: ce2cca9f1220
Revises: d992b379d8a7
Create Date: 2024-03-11 10:35:18.654783

"""
from alembic import op
from pathlib import Path

# revision identifiers, used by Alembic.
revision = "ce2cca9f1220"
down_revision = "d992b379d8a7"
branch_labels = None
depends_on = None

old_condor = "envoy_condor_2.8.2.txt"
new_condor = "envoy_condor_2.8.3.txt"


def set_wf_content(wf_name: str, filename: str) -> bytes:
    return (Path.cwd() / "versions" / "templates" / wf_name / filename).read_text().encode()


def upgrade():
    conn = op.get_bind()

    # Transfer the image flag template into condor
    conn.execute(
        f"""
         UPDATE workflow_templates
         SET content = %s
         WHERE filename = 'vlass_ql_envoy.condor'
         """,
        set_wf_content("vlass_quicklook", new_condor),
    )

    conn.execute(
        f"""
         UPDATE workflow_templates
         SET content = %s
         WHERE filename = 'vlass_seci_envoy.condor'
         """,
        set_wf_content("vlass_seci", new_condor),
    )

    conn.execute(
        f"""
         UPDATE workflow_templates
         SET content = %s
         WHERE filename = 'vlass_coarse_envoy.condor'
         """,
        set_wf_content("vlass_coarse", new_condor),
    )


def downgrade():
    conn = op.get_bind()

    conn.execute(
        f"""
         UPDATE workflow_templates
         SET content = %s
         WHERE filename = 'vlass_ql_envoy.condor'
         """,
        set_wf_content("vlass_quicklook", old_condor),
    )

    conn.execute(
        f"""
         UPDATE workflow_templates
         SET content = %s
         WHERE filename = 'vlass_seci_envoy.condor'
         """,
        set_wf_content("vlass_seci", old_condor),
    )

    conn.execute(
        f"""
         UPDATE workflow_templates
         SET content = %s
         WHERE filename = 'vlass_coarse_envoy.condor'
         """,
        set_wf_content("vlass_coarse", old_condor),
    )
